What version of MegaTunix works on PPC Mac OS 10.5.8?

Questions specific to Megatunix - alternate tuning software that runs on unix and windows.
Note that Megatunix is obsolete.

Moderator: djandruczyk

What version of MegaTunix works on PPC Mac OS 10.5.8?

Postby eazy-v » Thu Jul 16, 2015 9:39 pm

I have an older iBook G4 with Mac OS 10.5.8 and had an older version of MegaTunix working (I think version 0.9.18), but it would not recognize my MegaSquirt II firmware. So, I decided to try to install a new version of MegaTunix, but now I cannot get any MegaTunix to compile/load.

Steps done:
1. completely remove MacPorts and re-install most recent PKG 2.3.3 = OK
2. run sudo port -v install git gtk2 gtkglext libglade2 = OK
3. git://github.com/djandruczyk/MegaTunix.git = OK

4. ./autogen.sh –enable-debug = gtkgl-2.0 not found
- I changed line to gtkglext-1.0 in configure.ac then re-tried = OK

5. make = this where is does not finish and I get various errors about gtkglarea
- first I got error that gtkgkarea.h not found
- I installed via sudo port -v install gtglexarea then re-tried = goes further must still gets gtkglarea errors:
Code: Select all
In file included from 3d_vetable.c:78:
/opt/local/include/gtkgl/gtkglarea.h:53: error: syntax error before ‘gtk_gl_area_get_type’
/opt/local/include/gtkgl/gtkglarea.h:53: warning: type defaults to ‘int’ in declaration of ‘gtk_gl_area_get_type’
/opt/local/include/gtkgl/gtkglarea.h:53: warning: data definition has no type or storage class
3d_vetable.c: In function ‘ve3d_configure_event’:
3d_vetable.c:919: warning: implicit declaration of function ‘GTK_CHECK_CAST’
3d_vetable.c:919: error: syntax error before ‘GtkGLArea’
3d_vetable.c:924: error: syntax error before ‘GtkGLArea’
3d_vetable.c: In function ‘ve3d_expose_event’:
3d_vetable.c:963: error: syntax error before ‘GtkGLArea’
3d_vetable.c:1001: error: syntax error before ‘GtkGLArea’
3d_vetable.c: In function ‘ve3d_realize’:
3d_vetable.c:1104: error: syntax error before ‘GtkGLArea’
3d_vetable.c:1104: error: syntax error before ‘)’ token
3d_vetable.c: At top level:
3d_vetable.c:1121: error: syntax error before ‘return’
3d_vetable.c: In function ‘gl_create_font’:
3d_vetable.c:3447: warning: ‘pango_ft2_get_context’ is deprecated (declared at /opt/local/include/pango-1.0/pango/pangoft2.h:112)
make[3]: *** [3d_vetable.o] Error 1
make[2]: *** [all-recursive] Error 1
make[1]: *** [all-recursive] Error 1
make: *** [all] Error 2


Since I am using GIT, this is for MegaTunix 0.9.24, any suggestions?

NOTE: I tried using older versions of MegaTunix and get various errors and Segment fault when trying to run megatunix
eazy-v
MS/Extra Newbie
 
Posts: 7
Joined: Thu Jul 16, 2015 9:19 pm

Return to Megatunix (obsolete)

Who is online

Users browsing this forum: No registered users and 1 guest